aboutsummaryrefslogtreecommitdiffhomepage
path: root/src/test/shell/bazel/bazel_with_jdk_test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/test/shell/bazel/bazel_with_jdk_test.sh')
-rwxr-xr-xsrc/test/shell/bazel/bazel_with_jdk_test.sh26
1 files changed, 13 insertions, 13 deletions
diff --git a/src/test/shell/bazel/bazel_with_jdk_test.sh b/src/test/shell/bazel/bazel_with_jdk_test.sh
index 98c022345d..cf333452e4 100755
--- a/src/test/shell/bazel/bazel_with_jdk_test.sh
+++ b/src/test/shell/bazel/bazel_with_jdk_test.sh
@@ -21,8 +21,8 @@
source $(rlocation io_bazel/src/test/shell/integration_test_setup.sh) \
|| { echo "integration_test_setup.sh not found!" >&2; exit 1; }
-function bazel_with_jdk() {
- $(rlocation io_bazel/src/bazel_with_jdk) --bazelrc=$TEST_TMPDIR/bazelrc "$@"
+function bazel() {
+ $(rlocation io_bazel/src/bazel) --bazelrc=$TEST_TMPDIR/bazelrc "$@"
return $?
}
@@ -48,32 +48,32 @@ function cleanup() {
}
function test_bazel_uses_bundled_jdk() {
- bazel_with_jdk --batch info &> "$TEST_log" || fail "bazel_with_jdk info failed"
- install_base="$(bazel_with_jdk --batch info install_base)"
+ bazel --batch info &> "$TEST_log" || fail "bazel info failed"
+ install_base="$(bazel --batch info install_base)"
# Case-insensitive match, because Windows paths are case-insensitive.
grep -sqi -- "^java-home: ${install_base}/_embedded_binaries/embedded_tools/jdk" $TEST_log || \
- fail "bazel_with_jdk's java-home is not inside the install base"
+ fail "bazel's java-home is not inside the install base"
}
-# Tests that "bazel_with_jdk license" prints the license of the bundled JDK by grepping for
+# Tests that "bazel license" prints the license of the bundled JDK by grepping for
# representative strings from those files. If this test breaks after upgrading the version of the
# bundled JDK, the strings may have to be updated.
function test_bazel_license_prints_jdk_license() {
- bazel_with_jdk --batch license \
- &> "$TEST_log" || fail "running bazel_with_jdk license failed"
+ bazel --batch license \
+ &> "$TEST_log" || fail "running bazel license failed"
expect_log "OPENJDK ASSEMBLY EXCEPTION" || \
- fail "'bazel_with_jdk license' did not print an expected string from ASSEMBLY_EXCEPTION"
+ fail "'bazel license' did not print an expected string from ASSEMBLY_EXCEPTION"
expect_log "Provided you have not received the software directly from Azul and have already" || \
- fail "'bazel_with_jdk license' did not print an expected string from DISCLAIMER"
+ fail "'bazel license' did not print an expected string from DISCLAIMER"
expect_log '"CLASSPATH" EXCEPTION TO THE GPL' || \
- fail "'bazel_with_jdk license' did not print an expected string from LICENSE"
+ fail "'bazel license' did not print an expected string from LICENSE"
expect_log "which may be included with JRE [0-9]\+, JDK [0-9]\+, and OpenJDK [0-9]\+" || \
- fail "'bazel_with_jdk license' did not print an expected string from THIRD_PARTY_README"
+ fail "'bazel license' did not print an expected string from THIRD_PARTY_README"
}
-run_suite "bazel_with_jdk test suite"
+run_suite "bazel test suite"